﻿using System;
using System.Diagnostics;
using GHIElectronics.TinyCLR.Devices.Adc;
using GHIElectronics.TinyCLR.Devices.Gpio;
using GHIElectronics.TinyCLR.Pins;
using Webge.TCLR.Displays;
using System.Threading;

namespace MesureAngle
{
    class Program
    {
        static void Main()
        {
            // Constantes
            const UInt16 delay = 500;   // En ms
                                        // A la suite du code précédent, entrer :
                                        // Variables
            var Npot = 0;
            var Angle = 0;

            // Création des objets pour une carte FEZ T18
            //-----------------------------------------------------------------
            // CAN
            var adc = AdcController.GetDefault();
            var Potentiometre = adc.OpenChannel(FEZ.AdcChannel.A5); // Potentiomètre connecté sur I5 Tinkerkit

            // Afficheur
            var lcd = new ELCD162();  // Connecté sur SERIAL Tinkerkit
                                     // Initialisation
                                      //-----------------------------------------------------------------
            lcd.Init(); lcd.CursorOff();
            while (true)
            {
                // Lire la position angulaire
                Npot = Potentiometre.ReadValue();

                // Calcul de la position angulaire
                Angle = 360 * Npot / 4095;

                // Afficher la position angulaire
                lcd.ClearScreen();
                lcd.PutString("Pos = " + Angle.ToString("F1") + "deg");
                Thread.Sleep(100);
            }
        }
    }
}
